Zum Hauptinhalt springen
PUT
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
Ein Repository indexieren
curl --request PUT \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "branch_names": [
    "<string>"
  ]
}
'
{
  "branches": [
    "<string>"
  ],
  "indexing_enabled": true,
  "repository_path": "<string>",
  "indexing_status": {
    "indexing_enabled": true,
    "latest_completed_search_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    },
    "latest_completed_wiki_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    },
    "latest_indexes": [
      {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>",
        "status": "failed"
      }
    ]
  }
}

Berechtigungen

Erfordert einen Servicebenutzer mit der Organisationsberechtigung IndexOrgRepositories.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

repository_path
string
erforderlich

Body

application/json
branch_names
string[]

Antwort

Erfolgreiche Antwort

branches
string[]
erforderlich
indexing_enabled
boolean
erforderlich
repository_path
string
erforderlich
indexing_status
RepoIndexingStatusResponse · object